Modify

Opened 7 years ago

Closed 6 years ago

#4574 closed Bugs (fixed)

boost/asio/detail/impl/win_mutex.ipp:57: return value of InitializeCriticalSectionAndSpinCount ignored, causing warning C6031

Reported by: anonymous Owned by: chris_kohlhoff
Milestone: To Be Determined Component: asio
Version: Boost 1.44.0 Severity: Problem
Keywords: Cc:

Description

As of r64932 file boost/asio/detail/impl/win_mutex.ipp at function win_mutex::do_init, there is a call to InitializeCriticalSectionAndSpinCount? for which the return value is not checked. This causes warning C6031 from the Microsoft code analysis tool PREfast included with Visual Studio 2008, because someone at Microsoft marked that this function should always be checked. Since Boost already returns a Windows error code from this function if an exception is caught, I suggest returning the value of GetLastError?() if InitializeCriticalSectionAndSpinCount? fails.

Attachments (0)

Change History (5)

comment:1 Changed 7 years ago by chris_kohlhoff

(In [66009]) Check return code of InitializeCriticalSectionAndSpinCount?. Refs #4574.

comment:2 Changed 7 years ago by chris_kohlhoff

Resolution: fixed
Status: newclosed

(In [66037]) Merge from trunk.

........

r65998 | chris_kohlhoff | 2010-10-16 15:30:12 +1100 (Sat, 16 Oct 2010) | 2 lines

Make unit tests build faster.

........

r66002 | chris_kohlhoff | 2010-10-16 16:13:46 +1100 (Sat, 16 Oct 2010) | 2 lines

Add a test case for bug where a deadline timer never fires if the io_service is run in a background thread. N.B. fails only on platforms that use kqueue. Fixes #4568.

........

r66004 | chris_kohlhoff | 2010-10-16 16:43:03 +1100 (Sat, 16 Oct 2010) | 2 lines

Fix the way the kqueue_reactor is interrupted when a new timer is scheduled. Fixes #4568.

........

r66005 | chris_kohlhoff | 2010-10-16 17:27:45 +1100 (Sat, 16 Oct 2010) | 2 lines

Fix a const-correctness issue that prevents valid uses of has_service<> from compiling. Fixes #4638.

........

r66006 | chris_kohlhoff | 2010-10-16 18:06:18 +1100 (Sat, 16 Oct 2010) | 2 lines

Use lower-case to keep MinGW cross-compilers happy. Fixes #4491.

........

r66007 | chris_kohlhoff | 2010-10-16 18:24:47 +1100 (Sat, 16 Oct 2010) | 2 lines

Don't use deprecated system functions. Fixes #4672.

........

r66008 | chris_kohlhoff | 2010-10-16 20:47:11 +1100 (Sat, 16 Oct 2010) | 2 lines

Ensure close()/closesocket() failures are correctly propagated. Fixes #4573.

........

r66009 | chris_kohlhoff | 2010-10-16 21:01:14 +1100 (Sat, 16 Oct 2010) | 2 lines

Check return code of InitializeCriticalSectionAndSpinCount?. Fixes #4574.

........

r66010 | chris_kohlhoff | 2010-10-16 22:04:08 +1100 (Sat, 16 Oct 2010) | 2 lines

Add support for hardware flow control on QNX. Fixes #4625.

........

r66014 | chris_kohlhoff | 2010-10-16 22:39:13 +1100 (Sat, 16 Oct 2010) | 2 lines

Always use pselect() on HP-UX, if it is available. Fixes #4578.

........

r66017 | chris_kohlhoff | 2010-10-16 23:23:56 +1100 (Sat, 16 Oct 2010) | 2 lines

Ensure handler arguments are passed as lvalues. Fixes #4744.

........

r66018 | chris_kohlhoff | 2010-10-16 23:39:06 +1100 (Sat, 16 Oct 2010) | 2 lines

Fix Windows build when thread support is disabled. Fixes #4680.

........

r66020 | chris_kohlhoff | 2010-10-16 23:59:29 +1100 (Sat, 16 Oct 2010) | 3 lines

Timers with expiry times set more than 5 minutes in the future need the waitable timer to be periodic. Fixes #4745.

........

r66035 | chris_kohlhoff | 2010-10-17 22:33:28 +1100 (Sun, 17 Oct 2010) | 2 lines

Version bump.

........

comment:3 Changed 7 years ago by Marshall Clow

(In [71249]) Merge fixes to release; Fixes #4411 Fixes #4574

comment:4 Changed 7 years ago by Marshall Clow

Resolution: fixed
Status: closedreopened

Damn. Fat-fingered a svn commit message.

Commit [71249] fixed #4754, not this ticket.

comment:5 Changed 6 years ago by chris_kohlhoff

Resolution: fixed
Status: reopenedclosed

Ticket was inadvertently reopened.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain chris_kohlhoff.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.